Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ddlutils.io
Class SetColumnPropertyRule

    java.lang.Object
      org.apache.commons.digester.Rule
          org.apache.ddlutils.io.SetColumnPropertyRule

    public class SetColumnPropertyRule

extends Rule

A digester rule for setting a bean property that corresponds to a column.

Version:
  $Revision: 289996 $

Field Summary

Fields inherited from class org.apache.commons.digester.Rule
`digester, namespaceURI`

Constructor Summary
`SetColumnPropertyRule(Column column, SqlTypeConverter converter, boolean beCaseSensitive)` Creates a new creation rule that sets the property corresponding to the given column.

Method Summary
`void` | `begin(Attributes attributes)`

Methods inherited from class org.apache.commons.digester.Rule
`begin, body, body, end, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetColumnPropertyRule

    public SetColumnPropertyRule(Column column,
                                 SqlTypeConverter converter,
                                 boolean beCaseSensitive)

  Creates a new creation rule that sets the property corresponding to the given column.

  Parameters:
    `column` - The column that this rule shall set
    `converter` - The converter to be used for this column
    `beCaseSensitive` - Whether the rule shall compare the attribute names case sensitively

Method Detail

### begin

    public void begin(Attributes attributes)
               throws Exception

  Overrides:
    `begin` in class `Rule`
  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.